SciLinux: SLSA-2022-5698-1 Important: java-1.8.0-openjdk on SL7.x x...

Advisories

Synopsis:          Important: java-1.8.0-openjdk security, bug fix, and enhancement update
Advisory ID:       SLSA-2022:5698-1
Issue Date:        2022-08-01
CVE Numbers:       CVE-2022-21540
                   CVE-2022-21541
                   CVE-2022-34169
--

The following packages have been upgraded to a later upstream version:
java-1.8.0-openjdk (1.8.0.342.b07).

Security Fix(es):

* OpenJDK: integer truncation issue in Xalan-J (JAXP, 8285407)
(CVE-2022-34169)

* OpenJDK: class compilation issue (Hotspot, 8281859) (CVE-2022-21540)

* OpenJDK: improper restriction of MethodHandle.invokeBasic() (Hotspot,
8281866) (CVE-2022-21541)

For more details about the security issue(s), including the impact, a CVSS
score, acknowledgments, and other related information, refer to the CVE
--

SL7
  x86_64
    java-1.8.0-openjdk-1.8.0.342.b07-1.el7_9.i686.rpm
    java-1.8.0-openjdk-1.8.0.342.b07-1.el7_9.x86_64.rpm
    java-1.8.0-openjdk-debuginfo-1.8.0.342.b07-1.el7_9.i686.rpm
    java-1.8.0-openjdk-debuginfo-1.8.0.342.b07-1.el7_9.x86_64.rpm
    java-1.8.0-openjdk-headless-1.8.0.342.b07-1.el7_9.i686.rpm
    java-1.8.0-openjdk-headless-1.8.0.342.b07-1.el7_9.x86_64.rpm
    java-1.8.0-openjdk-accessibility-1.8.0.342.b07-1.el7_9.i686.rpm
    java-1.8.0-openjdk-accessibility-1.8.0.342.b07-1.el7_9.x86_64.rpm
    java-1.8.0-openjdk-demo-1.8.0.342.b07-1.el7_9.i686.rpm
    java-1.8.0-openjdk-demo-1.8.0.342.b07-1.el7_9.x86_64.rpm
    java-1.8.0-openjdk-devel-1.8.0.342.b07-1.el7_9.i686.rpm
    java-1.8.0-openjdk-devel-1.8.0.342.b07-1.el7_9.x86_64.rpm
    java-1.8.0-openjdk-src-1.8.0.342.b07-1.el7_9.i686.rpm
    java-1.8.0-openjdk-src-1.8.0.342.b07-1.el7_9.x86_64.rpm
  noarch
    java-1.8.0-openjdk-javadoc-1.8.0.342.b07-1.el7_9.noarch.rpm
    java-1.8.0-openjdk-javadoc-zip-1.8.0.342.b07-1.el7_9.noarch.rpm

- Scientific Linux Development Team

SciLinux: SLSA-2022-5698-1 Important: java-1.8.0-openjdk on SL7.x x86_64

Summary

Important: java-1.8.0-openjdk security, bug fix, and enhancement update



Security Fixes

* OpenJDK: integer truncation issue in Xalan-J (JAXP, 8285407) (CVE-2022-34169)
* OpenJDK: class compilation issue (Hotspot, 8281859) (CVE-2022-21540)
* OpenJDK: improper restriction of MethodHandle.invokeBasic() (Hotspot, 8281866) (CVE-2022-21541)
For more details about the security issue(s), including the impact, a CVSS score, acknowledgments, and other related information, refer to the CVE
SL7 x86_64 java-1.8.0-openjdk-1.8.0.342.b07-1.el7_9.i686.rpm java-1.8.0-openjdk-1.8.0.342.b07-1.el7_9.x86_64.rpm java-1.8.0-openjdk-debuginfo-1.8.0.342.b07-1.el7_9.i686.rpm java-1.8.0-openjdk-debuginfo-1.8.0.342.b07-1.el7_9.x86_64.rpm java-1.8.0-openjdk-headless-1.8.0.342.b07-1.el7_9.i686.rpm java-1.8.0-openjdk-headless-1.8.0.342.b07-1.el7_9.x86_64.rpm java-1.8.0-openjdk-accessibility-1.8.0.342.b07-1.el7_9.i686.rpm java-1.8.0-openjdk-accessibility-1.8.0.342.b07-1.el7_9.x86_64.rpm java-1.8.0-openjdk-demo-1.8.0.342.b07-1.el7_9.i686.rpm java-1.8.0-openjdk-demo-1.8.0.342.b07-1.el7_9.x86_64.rpm java-1.8.0-openjdk-devel-1.8.0.342.b07-1.el7_9.i686.rpm java-1.8.0-openjdk-devel-1.8.0.342.b07-1.el7_9.x86_64.rpm java-1.8.0-openjdk-src-1.8.0.342.b07-1.el7_9.i686.rpm java-1.8.0-openjdk-src-1.8.0.342.b07-1.el7_9.x86_64.rpm noarch java-1.8.0-openjdk-javadoc-1.8.0.342.b07-1.el7_9.noarch.rpm java-1.8.0-openjdk-javadoc-zip-1.8.0.342.b07-1.el7_9.noarch.rpm
- Scientific Linux Development Team

Severity
Advisory ID: SLSA-2022:5698-1
Issued Date: : 2022-08-01
CVE Numbers: CVE-2022-21540
CVE-2022-21541
CVE-2022-34169

We use cookies to provide and improve our services. By using our site, you consent to our Cookie Policy.